/*************************************************************************
 **                        fancyCSlider.c++                             **
 *************************************************************************
 ** specialized center slider class.                                    **
 ** Author: Fred Dech                                                   **
 ** (C) 1999 Virtual Reality in Medicine Laboratory                     **
 **          University of Illinois at Chicago                          **
 *************************************************************************/
#include "fancyCSlider.h"

fancyCSlider::fancyCSlider(vwMediator *m, pfDCS *dcs) :
	vwSlider(m, dcs), vwObserver(m),
	_sIface(sliderInterfaceTypeScope::FANCY)
{
	vwSlider::_generic = False;
}

// in current version, we only care about vwIncrimentor events
void
fancyCSlider::update(vwSubject *s, void *data)
{
	// segIncs are initialized to INTEGER
	float fdata = *(static_cast<float *>(data));

	setDataDrag(fdata);
}

