/*************************************************************************
 **                        fancyFrame.h                                 **
 *************************************************************************
 ** fancyFrame changes color to from INACTIVE to ACTIVE and back again  **
 ** when it is updated by a subject it is attached to.                  **
 ** Author: Fred Dech                                                   **
 ** (C) 1999 Virtual Reality in Medicine Laboratory                     **
 **          University of Illinois at Chicago                          **
 *************************************************************************/

#ifndef _fancyFrame_h_
#define _fancyFrame_h_

#include "vwFrame.h"

class fancyFrame : public vwFrame, public vwObserver
{
public:
	// constructor.
	fancyFrame(vwMediator *m, pfSCS *scs);
	fancyFrame(vwMediator *m, pfSCS *scs, float *color);

	virtual ~fancyFrame() { }

protected:
	void update(vwSubject *, void *);

};

#endif

