/*************************************************************************
 **                           myPfWand.h                                **
 *************************************************************************
 ** a stripped-down wand-pointer avatar class                           **
 *************************************************************************/

#ifndef _myPfWand_h_
#define _myPfWand_h_

#include <Performer/pf/pfDCS.h>

class myPfWand
{
public:
	myPfWand();

	// destructor
	~myPfWand();

	void init(long wID);

	void update();

	float pos[3];
	float ori[3];
	float vec[3];

	inline long getID()              { return _wandID; }
	inline void setDCS(pfDCS * dcs)  { _dcs = dcs;  }    
	inline pfDCS * getDCS()          { return _dcs; }

private:
	static long setSelfID();

	long _wandID;
	static int loadWandGeom(pfDCS **);

	pfDCS * _dcs;

};

#endif

